--- title: "apply-file-export" slug: "apply-file-export-1" updated: 2026-09-17T09:47:59Z published: 2026-09-17T09:47:59Z canonical: "api.ncloud-docs.com/apply-file-export-1" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # apply-file-export Available in VPC Request file export to export a file from a data box to a bucket in Object Storage. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/export/apply-file-export | ### Request headers For information about the headers common to all Cloud Data Box APIs, see [Cloud Data Box request headers](/docs/en/data-box-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `dataBoxNo` | Integer | Required | Data box number - Number displayed in common for server names in the **Infrastructure** tab menu that appears after clicking the **[View Server Details]** button in the **My Space** menu of the NAVER Cloud Platform Console. - How to check data box details: See [Cloud Data Box User Guide](https://guide.ncloud-docs.com/docs/en/clouddatabox-connect#2-%EC%9D%B8%ED%94%84%EB%9D%BC-%EC%84%9C%EB%B9%84%EC%8A%A4%EC%9D%98-%EC%A0%91%EC%86%8D-%EC%A0%95%EB%B3%B4-%ED%99%95%EC%9D%B8). | | `nasInstanceNo` | Integer | Required | Source NAS instance number - See [get-nas-list](/docs/en/get-nas-list). | | `bucketName` | String | Required | Target bucket name - See [get-bucket-list](/docs/en/get-bucket-list-1). | | `fileList` | Array | Required | Export file information[fileList](/docs/en/apply-file-export-1#fileList) | #### `fileList` The following describes `fileList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `name` | String | Required | Export file name | | `description` | String | Required | Export file description (character) - 30-N - Enter in compliance with [Data export standards](https://guide.ncloud-docs.com/docs/en/clouddatabox-importexport#%EB%8D%B0%EC%9D%B4%ED%84%B0%EB%B0%98%EC%B6%9C%EA%B8%B0%EC%A4%80) as it will be used as the basis for the export review. | | `type` | String | Required | Export file type - `TABLE` \| `IMAGE` \| `MODEL` \| `LICENCE` - `TABLE`: text separated by separators - `IMAGE`: image - `MODEL`: analytics model - `LICENCE`: license | | `tableDetail` | String | Conditional | Field separator of the table file - `TAB` \| `SPACE` \| `COMMA` \| `CUSTOM` - `TAB`: tab - `SPACE`: space - `COMMA`: comma - `CUSTOM`: custom | | `delimiter` | String | Conditional | Custom separator - Required if `tableDetail` is `CUSTOM` | | `imageDetail` | String | Conditional | Image file extension - `BMP` \| `GIF` \| `JPEG` \| `TIFF` - `BMP`: .bmp file - `GIF`: .gif file - `JPEG`: .jpeg file - `TIFF`: .tiff file - Required if `type` is `IMAGE` | | `modelDetail` | String | Conditional | Analytics model format - `TENSORFLOW` \| `PYTORCH` \| `SCIKIT_LEARN` \| `R` - `TENSORFLOW`: TensorFlow file - `PYTORCH`: PyTorch file - `SCIKIT_LEARN`: scikit-learn file - `R`: R file - Required if `type` is `MODEL` | | `modelVersion` | String | Conditional | Analytics model version - Required if `type` is `MODEL` | ### Request example The request example is as follows: ``` curl --location --request POST 'https://databox.apigw.ntruss.com/api/v1/import/apply-file-import' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --data '{ "dataBoxNo": ****, "nasInstanceNo": ********, "bucketName": "bckt111", "fileList": [ { "name": "T1_member.txt", "description": "This is a member list file for testing. ID: A random serial number. Name: The name of the fictional character. Job position: Assign virtual position. Department: Assign virtual department.", "type": "TABLE", "tableDetail": "TAB" } ] }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `totalCount` | Integer | - | Number of response results | | `content` | Array | - | Export request information[content](/docs/en/apply-file-export-1#content) | #### `content` The following describes `content`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `exportNo` | Integer | - | Export request number | | `nasInstanceNo` | Integer | - | Source NAS instance number | | `bucketName` | String | - | Target bucket name | | `nasName` | String | - | Source NAS name | | `fileName` | String | - | Export file name | | `status` | String | - | Export status - `Review requested (before file transfer)` \| `Review requested (file transfer in progress)` \| `Review requested (file transfer completed)` \| `Approved (bucket transfer in progress)` \| `Approved (bucket transfer completed)` \| `Rejected` - `Review request (before file transfer)`: Prepare to transfer the file to Object Storage for review. - `Review requested (file transfer in progress)`: Transfer the file Object Storage for review. - `Review requested (file transfer completed)`: File transfer to Object Storage for review completed. - `Approved (bucket transfer in progress)`: After approval of the export, proceed with the file transfer to the target bucket. - `Approved (bucket transfer completed)`: After approval of the export, file transfer to the target bucket is completed. - `Rejected`: Export review rejected. | ### Response status codes For information about the HTTP status codes common to all Cloud Data Box APIs, see [Cloud Data Box response status codes](/docs/en/data-box-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "totalCount": 1, "content": [ { "exportNo": 3294, "nasInstanceNo": ********, "bucketName": "bckt111", "nasName": "nasw1", "fileName": "T1_member.txt", "status": "Review requested (before file transfer)" } ] } ```